Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Malloc_Base.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/sys/os_types.h"`
`#include "ace/os_include/sys/os_mman.h"`

Include dependency graph for Malloc_Base.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Allocator
| Interface for a dynamic memory allocator that uses inheritance and dynamic binding to provide extensible mechanisms for allocating and deallocating memory. More...

## Detailed Description

Id
  Malloc_Base.h,v 4.17 2005/10/28 16:14:53 ossama Exp

Author:
  Doug Schmidt and Irfan Pyarali